import { Context } from '../../../context';
import * as Inputs from '../../../inputs/inputs';
export declare class BabylonWebXR {
    private readonly context;
    constructor(context: Context);
    /**
     * Creates default XR experience with teleportation
     * @param inputs Creates default XR experience with teleportation
     */
    createDefaultXRExperienceWithTeleportation(inputs: Inputs.BabylonWebXR.DefaultWebXRWithTeleportationDto): Promise<void>;
}
