export declare namespace Asset {
    class GetAssetDto {
        constructor(fileName?: string);
        /**
         * The fileName associated with the projects asset
         * @default undefined
         */
        fileName: string;
    }
    class AssetFileDto {
        constructor(assetFile?: File);
        /**
         * Asset file that was loaded
         * @default undefined
         */
        assetFile: File;
        /**
         * Import the asset hidden
         * @default false
         */
        hidden: boolean;
    }
    class AssetFileByUrlDto {
        /**
         * Asset file name
         * @default undefined
         */
        assetFile: string;
        /**
         * Root url
         * @default undefined
         */
        rootUrl: string;
        /**
         * Import the asset hidden
         * @default false
         */
        hidden: boolean;
    }
}
