// tslint:disable-next-line: no-namespace
export var BabylonCamera;
(function (BabylonCamera) {
    class ArcRotateCameraDto {
        constructor() {
            /**
             * Defines the camera rotation along the longitudinal axis
             */
            this.alpha = 0;
            /**
             * Defines the camera rotation along the latitudinal axis
             */
            this.beta = 10;
            /**
             * Defines the camera distance from its target
             */
            this.radius = 10;
            /**
             * Target of the arc rotate camera
             */
            this.target = [0, 0, 0];
        }
    }
    BabylonCamera.ArcRotateCameraDto = ArcRotateCameraDto;
    class FreeCameraDto {
        constructor() {
            /**
             * Target of the free camera
             */
            this.target = [0, 0, 0];
        }
    }
    BabylonCamera.FreeCameraDto = FreeCameraDto;
    class TargetCameraDto {
        constructor() {
            /**
             * Target of the free camera
             */
            this.target = [0, 0, 0];
        }
    }
    BabylonCamera.TargetCameraDto = TargetCameraDto;
    class PositionDto {
    }
    BabylonCamera.PositionDto = PositionDto;
    class SpeedDto {
    }
    BabylonCamera.SpeedDto = SpeedDto;
    class TargetDto {
    }
    BabylonCamera.TargetDto = TargetDto;
    class MinZDto {
        constructor() {
            /**
             * minZ of the camera
             */
            this.minZ = 0;
        }
    }
    BabylonCamera.MinZDto = MinZDto;
    class MaxZDto {
        constructor() {
            /**
             * maxZ of the camera
             */
            this.maxZ = 0;
        }
    }
    BabylonCamera.MaxZDto = MaxZDto;
    class CameraDto {
    }
    BabylonCamera.CameraDto = CameraDto;
})(BabylonCamera || (BabylonCamera = {}));
