import { Mesh } from "@babylonjs/core";
export declare namespace BabylonIO {
    class ExportSceneDto {
        /**
         * File name that should be used for the scene.
         * @default bitbybit-scene
         */
        filename: string;
    }
    class ExportMeshToStlDto {
        /**
         * Mesh or meshes to export
         */
        mesh: Mesh;
        /**
         * File name that should be used for the scene.
         * @default bitbybit-mesh
         */
        filename: string;
    }
}
