// tslint:disable-next-line: no-namespace
export var BabylonMesh;
(function (BabylonMesh) {
    class UpdateDrawnBabylonMesh {
    }
    BabylonMesh.UpdateDrawnBabylonMesh = UpdateDrawnBabylonMesh;
    class SetParentDto {
    }
    BabylonMesh.SetParentDto = SetParentDto;
    class UpdateDrawnBabylonMeshPositionDto {
    }
    BabylonMesh.UpdateDrawnBabylonMeshPositionDto = UpdateDrawnBabylonMeshPositionDto;
    class UpdateDrawnBabylonMeshRotationDto {
    }
    BabylonMesh.UpdateDrawnBabylonMeshRotationDto = UpdateDrawnBabylonMeshRotationDto;
    class UpdateDrawnBabylonMeshScaleDto {
    }
    BabylonMesh.UpdateDrawnBabylonMeshScaleDto = UpdateDrawnBabylonMeshScaleDto;
    class IntersectsMeshDto {
        constructor() {
            /**
             * Should check precisely
             * @default false
             */
            this.precise = false;
            /**
             * Check descendant intersections as well
             * @default false
             */
            this.includeDescendants = false;
        }
    }
    BabylonMesh.IntersectsMeshDto = IntersectsMeshDto;
    class IntersectsPointDto {
    }
    BabylonMesh.IntersectsPointDto = IntersectsPointDto;
    class BabylonMeshDto {
    }
    BabylonMesh.BabylonMeshDto = BabylonMeshDto;
    class ShowHideMeshDto {
        constructor() {
            /**
             * Include children when showing hiding
             * @default true
             */
            this.includeChildren = true;
        }
    }
    BabylonMesh.ShowHideMeshDto = ShowHideMeshDto;
    class CloneBabylonMeshDto {
    }
    BabylonMesh.CloneBabylonMeshDto = CloneBabylonMeshDto;
    class ChildMeshesBabylonMeshDto {
        constructor() {
            /**
             * Include only direct descendants
             * @default false
             */
            this.directDescendantsOnly = false;
        }
    }
    BabylonMesh.ChildMeshesBabylonMeshDto = ChildMeshesBabylonMeshDto;
    class TranslateBabylonMeshDto {
        constructor() {
            /**
             * distance to translate
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 1
             */
            this.distance = 0;
        }
    }
    BabylonMesh.TranslateBabylonMeshDto = TranslateBabylonMeshDto;
    class NameBabylonMeshDto {
        constructor() {
            /**
             * Set name also on children
             * @default false
             */
            this.includeChildren = false;
        }
    }
    BabylonMesh.NameBabylonMeshDto = NameBabylonMeshDto;
    class ByNameBabylonMeshDto {
    }
    BabylonMesh.ByNameBabylonMeshDto = ByNameBabylonMeshDto;
    class MaterialBabylonMeshDto {
        constructor() {
            /**
             * Set material on children also
             * @default false
             */
            this.includeChildren = false;
        }
    }
    BabylonMesh.MaterialBabylonMeshDto = MaterialBabylonMeshDto;
    class IdBabylonMeshDto {
    }
    BabylonMesh.IdBabylonMeshDto = IdBabylonMeshDto;
    class ByIdBabylonMeshDto {
    }
    BabylonMesh.ByIdBabylonMeshDto = ByIdBabylonMeshDto;
    class UniqueIdBabylonMeshDto {
    }
    BabylonMesh.UniqueIdBabylonMeshDto = UniqueIdBabylonMeshDto;
    class PickableBabylonMeshDto {
        constructor() {
            /**
             * Pickable
             * @default false
             */
            this.pickable = false;
            /**
             * Apply set to children also
             * @default false
             */
            this.includeChildren = false;
        }
    }
    BabylonMesh.PickableBabylonMeshDto = PickableBabylonMeshDto;
    class CheckCollisionsBabylonMeshDto {
        constructor() {
            /**
             * Check collisions
             * @default false
             */
            this.checkCollisions = false;
            /**
             * Apply set to children also
             * @default false
             */
            this.includeChildren = false;
        }
    }
    BabylonMesh.CheckCollisionsBabylonMeshDto = CheckCollisionsBabylonMeshDto;
    class RotateBabylonMeshDto {
    }
    BabylonMesh.RotateBabylonMeshDto = RotateBabylonMeshDto;
    class SetMeshVisibilityDto {
        constructor() {
            /**
             * Shows mesh if 0 and shows if 1
             * @default 0
             * @minimum 0
             * @maximum 1
             * @step 0.1
             */
            this.visibility = 0;
            /**
             * Include children
             * @default false
             */
            this.includeChildren = false;
        }
    }
    BabylonMesh.SetMeshVisibilityDto = SetMeshVisibilityDto;
    class MeshInstanceAndTransformDto {
    }
    BabylonMesh.MeshInstanceAndTransformDto = MeshInstanceAndTransformDto;
    class MeshInstanceDto {
    }
    BabylonMesh.MeshInstanceDto = MeshInstanceDto;
})(BabylonMesh || (BabylonMesh = {}));
