export declare namespace Base {
    type Color = string;
    type ColorRGB = {
        r: number;
        g: number;
        b: number;
    };
    type Point2 = [number, number];
    type Vector2 = [number, number];
    type Point3 = [number, number, number];
    type Vector3 = [number, number, number];
    type Line2 = {
        start: Base.Point2;
        end: Base.Point2;
    };
    type Line3 = {
        start: Base.Point3;
        end: Base.Point3;
    };
    type TransformMatrixes = [number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number][];
    enum skyboxEnum {
        default = "default",
        clearSky = "clearSky",
        city = "city"
    }
}
