// tslint:disable-next-line: no-namespace
export var Color;
(function (Color) {
    class HexDto {
        constructor() {
            /**
             * Color hex
             * @default #0000ff
             */
            this.color = '#0000ff';
        }
    }
    Color.HexDto = HexDto;
    class HexDtoMapped {
        constructor() {
            /**
             * Color hex
             * @default #0000ff
             */
            this.color = '#0000ff';
            /**
             * From min bound
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 1
             */
            this.from = 0;
            /**
             * To max bound
             * @default 255
             * @minimum -Infinity
             * @maximum Infinity
             * @step 1
             */
            this.to = 255;
        }
    }
    Color.HexDtoMapped = HexDtoMapped;
    class RGBDto {
        constructor() {
            /**
             * Red value component
             * @default 255
             * @minimum 0
             * @maximum 255
             * @step 1
             */
            this.r = 255;
            /**
             * Green value component
             * @default 255
             * @minimum 0
             * @maximum 255
             * @step 1
             */
            this.g = 255;
            /**
            * Blue value component
            * @default 255
            * @minimum 0
            * @maximum 255
            * @step 1
            */
            this.b = 255;
        }
    }
    Color.RGBDto = RGBDto;
    class RGBObjectDto {
    }
    Color.RGBObjectDto = RGBObjectDto;
})(Color || (Color = {}));
