// tslint:disable-next-line: no-namespace
export var Line;
(function (Line) {
    class LinePointsDto {
        /**
         * Provide options without default values
         */
        constructor(start, end) {
            this.start = start;
            this.end = end;
        }
    }
    Line.LinePointsDto = LinePointsDto;
    class LineStartEndPointsDto {
        /**
         * Provide options without default values
         */
        constructor(startPoints, endPoints) {
            this.startPoints = startPoints;
            this.endPoints = endPoints;
        }
    }
    Line.LineStartEndPointsDto = LineStartEndPointsDto;
    class DrawLineDto {
        /**
         * Provide options without default values
         */
        constructor(line) {
            /**
             * Value between 0 and 1
             */
            this.opacity = 1;
            /**
             * Hex colour string
             */
            this.colours = '#444444';
            /**
             * Width of the line
             */
            this.size = 3;
            /**
             * Indicates wether the position of this line will change in time
             */
            this.updatable = false;
            this.line = line;
        }
    }
    Line.DrawLineDto = DrawLineDto;
    class DrawLinesDto {
        /**
         * Provide options without default values
         */
        constructor(lines) {
            /**
             * Value between 0 and 1
             */
            this.opacity = 1;
            /**
             * Hex colour string
             */
            this.colours = '#444444';
            /**
             * Width of the line
             */
            this.size = 3;
            /**
             * Indicates wether the position of these lines will change in time
             */
            this.updatable = false;
            this.lines = lines;
        }
    }
    Line.DrawLinesDto = DrawLinesDto;
    class PointsLinesDto {
    }
    Line.PointsLinesDto = PointsLinesDto;
    class LineDto {
    }
    Line.LineDto = LineDto;
    class LinesDto {
    }
    Line.LinesDto = LinesDto;
    class PointOnLineDto {
    }
    Line.PointOnLineDto = PointOnLineDto;
    class TransformLineDto {
    }
    Line.TransformLineDto = TransformLineDto;
    class TransformsLinesDto {
    }
    Line.TransformsLinesDto = TransformsLinesDto;
    class TransformLinesDto {
    }
    Line.TransformLinesDto = TransformLinesDto;
})(Line || (Line = {}));
