// tslint:disable-next-line: no-namespace
export var Math;
(function (Math) {
    let MathTwoNrOperatorEnum;
    (function (MathTwoNrOperatorEnum) {
        MathTwoNrOperatorEnum["add"] = "add";
        MathTwoNrOperatorEnum["subtract"] = "subtract";
        MathTwoNrOperatorEnum["multiply"] = "multiply";
        MathTwoNrOperatorEnum["divide"] = "divide";
        MathTwoNrOperatorEnum["power"] = "power";
        MathTwoNrOperatorEnum["modulus"] = "modulus";
    })(MathTwoNrOperatorEnum = Math.MathTwoNrOperatorEnum || (Math.MathTwoNrOperatorEnum = {}));
    let MathOneNrOperatorEnum;
    (function (MathOneNrOperatorEnum) {
        MathOneNrOperatorEnum["absolute"] = "absolute";
        MathOneNrOperatorEnum["negate"] = "negate";
        MathOneNrOperatorEnum["ln"] = "ln";
        MathOneNrOperatorEnum["log10"] = "log10";
        MathOneNrOperatorEnum["tenPow"] = "tenPow";
        MathOneNrOperatorEnum["round"] = "round";
        MathOneNrOperatorEnum["floor"] = "floor";
        MathOneNrOperatorEnum["ceil"] = "ceil";
        MathOneNrOperatorEnum["sqrt"] = "sqrt";
        MathOneNrOperatorEnum["sin"] = "sin";
        MathOneNrOperatorEnum["cos"] = "cos";
        MathOneNrOperatorEnum["tan"] = "tan";
        MathOneNrOperatorEnum["asin"] = "asin";
        MathOneNrOperatorEnum["acos"] = "acos";
        MathOneNrOperatorEnum["atan"] = "atan";
        MathOneNrOperatorEnum["log"] = "log";
        MathOneNrOperatorEnum["exp"] = "exp";
        MathOneNrOperatorEnum["radToDeg"] = "radToDeg";
        MathOneNrOperatorEnum["degToRad"] = "degToRad";
    })(MathOneNrOperatorEnum = Math.MathOneNrOperatorEnum || (Math.MathOneNrOperatorEnum = {}));
    class NumberDto {
        constructor() {
            /**
             * First number
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.number = 0;
        }
    }
    Math.NumberDto = NumberDto;
    class ActionOnTwoNumbersDto {
        constructor() {
            /**
             * First number
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.first = 1;
            /**
             * Second number
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.second = 1;
        }
    }
    Math.ActionOnTwoNumbersDto = ActionOnTwoNumbersDto;
    class ActionOnOneNumberDto {
        constructor() {
            /**
             * First number
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.number = 1;
        }
    }
    Math.ActionOnOneNumberDto = ActionOnOneNumberDto;
    class RemapNumberDto {
        constructor() {
            /**
             * Number to remap
             * @default 0.5
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.number = 0.5;
            /**
             * First number range min
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.fromLow = 0;
            /**
            * Map to range min
            * @default 1
            * @minimum -Infinity
            * @maximum Infinity
            * @step 0.1
            */
            this.fromHigh = 1;
            /**
             * First number range max
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.toLow = 1;
            /**
             * Map to range max
             * @default 2
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.toHigh = 2;
        }
    }
    Math.RemapNumberDto = RemapNumberDto;
    class RandomNumberDto {
        constructor() {
            /**
             * Low range of random value
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.low = 0;
            /**
             * High range of random value
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.high = 1;
        }
    }
    Math.RandomNumberDto = RandomNumberDto;
    class RandomNumbersDto {
        constructor() {
            /**
             * Low range of random value
             * @default 0
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.low = 0;
            /**
             * High range of random value
             * @default 1
             * @minimum -Infinity
             * @maximum Infinity
             * @step 0.1
             */
            this.high = 1;
            /**
             * Number of produced random values
             * @default 10
             * @minimum -Infinity
             * @maximum Infinity
             * @step 1
             */
            this.count = 10;
        }
    }
    Math.RandomNumbersDto = RandomNumbersDto;
})(Math || (Math = {}));
