// tslint:disable-next-line: no-namespace
export var Polyline;
(function (Polyline) {
    class PolylinePropertiesDto {
        /**
         * Provide options without default values
         */
        constructor(points) {
            this.points = points;
        }
    }
    Polyline.PolylinePropertiesDto = PolylinePropertiesDto;
    class PolylineDto {
    }
    Polyline.PolylineDto = PolylineDto;
    class PolylinesDto {
    }
    Polyline.PolylinesDto = PolylinesDto;
    class TransformPolylineDto {
    }
    Polyline.TransformPolylineDto = TransformPolylineDto;
    class DrawPolylineDto {
        /**
         * Provide options without default values
         */
        constructor(polyline) {
            /**
             * Value between 0 and 1
             */
            this.opacity = 1;
            /**
             * Hex colour string
             */
            this.colours = '#444444';
            /**
             * Width of the polyline
             */
            this.size = 3;
            /**
             * Indicates wether the position of this polyline will change in time
             */
            this.updatable = false;
            this.polyline = polyline;
        }
    }
    Polyline.DrawPolylineDto = DrawPolylineDto;
    class DrawPolylinesDto {
        /**
         * Provide options without default values
         */
        constructor(polylines) {
            /**
             * Value between 0 and 1
             */
            this.opacity = 1;
            /**
             * Hex colour string
             */
            this.colours = '#444444';
            /**
             * Width of the polyline
             */
            this.size = 3;
            /**
             * Indicates wether the position of this polyline will change in time
             */
            this.updatable = false;
            this.polylines = polylines;
        }
    }
    Polyline.DrawPolylinesDto = DrawPolylinesDto;
})(Polyline || (Polyline = {}));
