// tslint:disable-next-line: no-namespace
export var Verb;
(function (Verb) {
    class CurveDto {
    }
    Verb.CurveDto = CurveDto;
    class CurvesDto {
    }
    Verb.CurvesDto = CurvesDto;
    class ClosestPointDto {
    }
    Verb.ClosestPointDto = ClosestPointDto;
    class ClosestPointsDto {
    }
    Verb.ClosestPointsDto = ClosestPointsDto;
    class BezierCurveDto {
    }
    Verb.BezierCurveDto = BezierCurveDto;
    class DrawCurveDto {
        /**
         * Provide options without default values
         */
        constructor(curve) {
            /**
             * Value between 0 and 1
             */
            this.opacity = 1;
            /**
             * Hex colour string
             */
            this.colours = '#444444';
            /**
             * Width of the polyline
             */
            this.size = 3;
            /**
             * Indicates wether the position of this curve will change in time
             */
            this.updatable = false;
            this.curve = curve;
        }
    }
    Verb.DrawCurveDto = DrawCurveDto;
    class CurveParameterDto {
    }
    Verb.CurveParameterDto = CurveParameterDto;
    class CurvesParameterDto {
    }
    Verb.CurvesParameterDto = CurvesParameterDto;
    class CurveTransformDto {
    }
    Verb.CurveTransformDto = CurveTransformDto;
    class CurvesTransformDto {
    }
    Verb.CurvesTransformDto = CurvesTransformDto;
    class CurveToleranceDto {
    }
    Verb.CurveToleranceDto = CurveToleranceDto;
    class CurveLengthToleranceDto {
    }
    Verb.CurveLengthToleranceDto = CurveLengthToleranceDto;
    class CurveDerivativesDto {
    }
    Verb.CurveDerivativesDto = CurveDerivativesDto;
    class CurveSubdivisionsDto {
    }
    Verb.CurveSubdivisionsDto = CurveSubdivisionsDto;
    class CurvesSubdivisionsDto {
    }
    Verb.CurvesSubdivisionsDto = CurvesSubdivisionsDto;
    class CurvesDivideLengthDto {
    }
    Verb.CurvesDivideLengthDto = CurvesDivideLengthDto;
    class CurveDivideLengthDto {
    }
    Verb.CurveDivideLengthDto = CurveDivideLengthDto;
    class DrawCurvesDto {
        /**
         * Provide options without default values
         */
        constructor(curves) {
            /**
             * Value between 0 and 1
             */
            this.opacity = 1;
            /**
             * Hex colour string
             */
            this.colours = '#444444';
            /**
             * Width of the polyline
             */
            this.size = 3;
            /**
             * Indicates wether the position of this polyline will change in time
             */
            this.updatable = false;
            this.curves = curves;
        }
    }
    Verb.DrawCurvesDto = DrawCurvesDto;
    class CurveNurbsDataDto {
    }
    Verb.CurveNurbsDataDto = CurveNurbsDataDto;
    class CurvePathDataDto {
    }
    Verb.CurvePathDataDto = CurvePathDataDto;
    class EllipseDto {
    }
    Verb.EllipseDto = EllipseDto;
    class CircleDto {
    }
    Verb.CircleDto = CircleDto;
    class ArcDto {
    }
    Verb.ArcDto = ArcDto;
    class EllipseParametersDto {
    }
    Verb.EllipseParametersDto = EllipseParametersDto;
    class CircleParametersDto {
    }
    Verb.CircleParametersDto = CircleParametersDto;
    class ArcParametersDto extends CircleParametersDto {
    }
    Verb.ArcParametersDto = ArcParametersDto;
    class EllipseArcParametersDto extends EllipseParametersDto {
    }
    Verb.EllipseArcParametersDto = EllipseArcParametersDto;
    class SurfaceDto {
    }
    Verb.SurfaceDto = SurfaceDto;
    class SurfaceTransformDto {
    }
    Verb.SurfaceTransformDto = SurfaceTransformDto;
    class SurfaceParameterDto {
    }
    Verb.SurfaceParameterDto = SurfaceParameterDto;
    class IsocurvesParametersDto {
    }
    Verb.IsocurvesParametersDto = IsocurvesParametersDto;
    class IsocurveSubdivisionDto {
        /**
         * Provide undefined options
         */
        constructor(surface, isocurveSegments) {
            /**
             * Default parameter is on U direction, use V to switch
             */
            this.useV = false;
            /**
             * Check to include the last isocurve
             */
            this.includeLast = true;
            /**
             * Check to include the first isocurve
             */
            this.includeFirst = true;
            this.surface = surface;
            this.isocurveSegments = isocurveSegments;
        }
    }
    Verb.IsocurveSubdivisionDto = IsocurveSubdivisionDto;
    class DerivativesDto {
    }
    Verb.DerivativesDto = DerivativesDto;
    class SurfaceLocationDto {
    }
    Verb.SurfaceLocationDto = SurfaceLocationDto;
    class CornersDto {
    }
    Verb.CornersDto = CornersDto;
    class SurfaceParamDto {
    }
    Verb.SurfaceParamDto = SurfaceParamDto;
    class KnotsControlPointsWeightsDto {
    }
    Verb.KnotsControlPointsWeightsDto = KnotsControlPointsWeightsDto;
    class LoftCurvesDto {
    }
    Verb.LoftCurvesDto = LoftCurvesDto;
    class DrawSurfaceDto {
        /**
         * Provide options without default values
         */
        constructor(surface) {
            /**
             * Value between 0 and 1
             */
            this.opacity = 1;
            /**
             * Hex colour string
             */
            this.colours = '#444444';
            /**
             * Indicates wether the position of this surface will change in time
             */
            this.updatable = false;
            /**
             * Should be hidden
             */
            this.hidden = false;
            this.surface = surface;
        }
    }
    Verb.DrawSurfaceDto = DrawSurfaceDto;
    class DrawSurfacesDto {
        /**
         * Provide options without default values
         */
        constructor(surfaces) {
            /**
             * Value between 0 and 1
             */
            this.opacity = 1;
            /**
             * Hex colour string
             */
            this.colours = '#444444';
            /**
             * Indicates wether the position of these surfaces will change in time
             */
            this.updatable = false;
            /**
             * Should be hidden
             */
            this.hidden = false;
            this.surfaces = surfaces;
        }
    }
    Verb.DrawSurfacesDto = DrawSurfacesDto;
    class DrawSurfacesColoursDto {
        /**
         * Provide options without default values
         */
        constructor(surfaces, colours) {
            /**
             * Value between 0 and 1
             */
            this.opacity = 1;
            /**
             * Indicates wether the position of these surfaces will change in time
             */
            this.updatable = false;
            /**
             * Indicates if surface should be hidden
             */
            this.hidden = false;
            this.surfaces = surfaces;
            this.colours = colours;
        }
    }
    Verb.DrawSurfacesColoursDto = DrawSurfacesColoursDto;
    class ConeAndCylinderParametersDto {
        constructor() {
            /**
             * Defines main axis of the cone
             */
            this.axis = [0, 1, 0];
            /**
             * X axis of the cone
             */
            this.xAxis = [1, 0, 0];
            /**
             * Base point for the cone
             */
            this.base = [0, 0, 0];
            /**
             * Height of the cone
             */
            this.height = 2;
            /**
             * Radius of the cone
             */
            this.radius = 1;
        }
    }
    Verb.ConeAndCylinderParametersDto = ConeAndCylinderParametersDto;
    class ConeDto {
    }
    Verb.ConeDto = ConeDto;
    class CylinderDto {
    }
    Verb.CylinderDto = CylinderDto;
    class ExtrusionParametersDto {
    }
    Verb.ExtrusionParametersDto = ExtrusionParametersDto;
    class ExtrusionDto {
    }
    Verb.ExtrusionDto = ExtrusionDto;
    class SphericalParametersDto {
    }
    Verb.SphericalParametersDto = SphericalParametersDto;
    class SphereDto {
    }
    Verb.SphereDto = SphereDto;
    class RevolutionParametersDto {
    }
    Verb.RevolutionParametersDto = RevolutionParametersDto;
    class RevolutionDto {
    }
    Verb.RevolutionDto = RevolutionDto;
    class SweepParametersDto {
    }
    Verb.SweepParametersDto = SweepParametersDto;
    class SweepDto {
    }
    Verb.SweepDto = SweepDto;
    class CurveCurveDto {
    }
    Verb.CurveCurveDto = CurveCurveDto;
    class CurveSurfaceDto {
    }
    Verb.CurveSurfaceDto = CurveSurfaceDto;
    class SurfaceSurfaceDto {
    }
    Verb.SurfaceSurfaceDto = SurfaceSurfaceDto;
    class CurveCurveIntersectionsDto {
    }
    Verb.CurveCurveIntersectionsDto = CurveCurveIntersectionsDto;
    class CurveSurfaceIntersectionsDto {
    }
    Verb.CurveSurfaceIntersectionsDto = CurveSurfaceIntersectionsDto;
})(Verb || (Verb = {}));
