/**
 * Contains various functions for Solid hulls from JSCAD library https://github.com/jscad/OpenJSCAD.org
 * Thanks JSCAD community for developing this kernel
 */
export class JSCADHulls {
    constructor(jscad) {
        this.jscad = jscad;
    }
    hullChain(inputs) {
        return this.jscad.hulls.hullChain(...inputs.meshes);
    }
    hull(inputs) {
        return this.jscad.hulls.hull(...inputs.meshes);
    }
}
