import * as Inputs from '../../../api/inputs/inputs';
/**
 * Contains various functions for solid 3D texts from JSCAD library https://github.com/jscad/OpenJSCAD.org
 * Thanks JSCAD community for developing this kernel
 */
export declare class JSCADText {
    private readonly jscad;
    constructor(jscad: any);
    cylindricalText(inputs: Inputs.JSCAD.CylinderTextDto): Inputs.JSCAD.JSCADEntity[];
    sphericalText(inputs: Inputs.JSCAD.SphereTextDto): Inputs.JSCAD.JSCADEntity[];
    private adjustTextToBeOnCenter;
    createVectorText(inputs: Inputs.JSCAD.TextDto): number[][];
}
