import { ArcRotateCamera } from '@babylonjs/core';
import { Context } from '../../../context';
import * as Inputs from '../../../inputs/inputs';
export declare class BabylonArcRotateCamera {
    private readonly context;
    constructor(context: Context);
    /**
     * Creates a arc rotate camera
     * @param inputs Describes the arc rotate camera
     * @returns BabylonJS arc rotate camera
     */
    create(inputs: Inputs.BabylonCamera.ArcRotateCameraDto): ArcRotateCamera;
}
