import { FreeCamera } from '@babylonjs/core';
import { Context } from '../../../context';
import * as Inputs from '../../../inputs/inputs';
export declare class BabylonFreeCamera {
    private readonly context;
    constructor(context: Context);
    /**
     * Creates a free camera
     * @param inputs Describes the free camera
     * @returns BabylonJS free camera
     */
    create(inputs: Inputs.BabylonCamera.FreeCameraDto): FreeCamera;
}
