import { TargetCamera } from '@babylonjs/core';
import { Context } from '../../../context';
import * as Inputs from '../../../inputs/inputs';
export declare class BabylonTargetCamera {
    private readonly context;
    constructor(context: Context);
    /**
     * Creates a target camera
     * @param inputs Describes the target camera
     * @returns BabylonJS target camera
     */
    create(inputs: Inputs.BabylonCamera.TargetCameraDto): TargetCamera;
}
