import { BitByBitContextHelperService } from '../../bit-by-bit-context-helper.service';
/**
 * Time functions help to create various interactions which happen in time
 */
export class Time {
    /**
     * Registers a function to render loop
     * @param update The function to call in render loop
     */
    registerRenderFunction(update) {
        BitByBitContextHelperService.renderLoopBag.push((timePassedMs) => {
            update(timePassedMs);
        });
    }
}
