import { Ray } from '@babylonjs/core';
import { Base } from './base-inputs';
export declare namespace BabylonRay {
    class BaseRayDto {
        /**
         * Origin of the ray
         */
        origin: Base.Point3;
        /**
         * Direction of the ray
         */
        direction: Base.Vector3;
        /**
         * Length of the ray
         */
        length?: number;
    }
    class RayDto {
        /**
         * ray to analyze
         */
        ray: Ray;
    }
    class FromToDto {
        /**
         * From point
         */
        from: Base.Point3;
        /**
         * To point
         */
        to: Base.Point3;
    }
}
