// tslint:disable-next-line: no-namespace
export var Tag;
(function (Tag) {
    class DrawTagDto {
        constructor(tag) {
            /**
             * Indicates that it is updatable tag
             */
            this.updatable = false;
            this.tag = tag;
        }
    }
    Tag.DrawTagDto = DrawTagDto;
    class DrawTagsDto {
        constructor(tags) {
            /**
             * Indicates that it is updatable tag
             */
            this.updatable = false;
            this.tags = tags;
        }
    }
    Tag.DrawTagsDto = DrawTagsDto;
    /**
     * Class representing a tag
     */
    class TagDto {
        constructor(text) {
            /**
             * Position of the tag
             */
            this.position = [0, 0, 0];
            /**
             * Colour of the tag
             */
            this.colour = '#444444';
            /**
             * Text size
             */
            this.size = 12;
            /**
             * Make tags that are further away smaller
             */
            this.adaptDepth = false;
            this.text = text;
        }
    }
    Tag.TagDto = TagDto;
})(Tag || (Tag = {}));
