export declare namespace Text {
    class TextDto {
        /**
         * The text
         * @default Hello World
         */
        text: string;
    }
    class TextSplitDto {
        /**
         * Text to split
         * @default a,b,c
         */
        text: string;
        /**
         * Text to split by
         * @default ,
         */
        separator: string;
    }
    class TextReplaceDto {
        /**
         * Text to replace
         * @default a-c
         */
        text: string;
        /**
         * Text to search for
         * @default -
         */
        search: string;
        /**
         * Text to replace found occurences
         * @default b
         */
        replaceWith: string;
    }
    class TextJoinDto {
        /**
         * Text to join
         * @default undefined
         */
        list: string[];
        /**
         * Text to join by
         * @default ,
         */
        separator: string;
    }
    class ToStringDto {
        /**
         * Item to stringify
         * @default undefined
         */
        item: any;
    }
    class ToStringEachDto {
        /**
         * Item to stringify
         * @default undefined
         */
        list: any[];
    }
}
