// tslint:disable-next-line: no-namespace
export var Text;
(function (Text) {
    class TextDto {
        constructor() {
            /**
             * The text
             * @default Hello World
             */
            this.text = 'Hello World';
        }
    }
    Text.TextDto = TextDto;
    class TextSplitDto {
        constructor() {
            /**
             * Text to split
             * @default a,b,c
             */
            this.text = 'a,b,c';
            /**
             * Text to split by
             * @default ,
             */
            this.separator = ',';
        }
    }
    Text.TextSplitDto = TextSplitDto;
    class TextReplaceDto {
        constructor() {
            /**
             * Text to replace
             * @default a-c
             */
            this.text = 'a-c';
            /**
             * Text to search for
             * @default -
             */
            this.search = '-';
            /**
             * Text to replace found occurences
             * @default b
             */
            this.replaceWith = 'b';
        }
    }
    Text.TextReplaceDto = TextReplaceDto;
    class TextJoinDto {
        constructor() {
            /**
             * Text to join by
             * @default ,
             */
            this.separator = ',';
        }
    }
    Text.TextJoinDto = TextJoinDto;
    class ToStringDto {
    }
    Text.ToStringDto = ToStringDto;
    class ToStringEachDto {
    }
    Text.ToStringEachDto = ToStringEachDto;
})(Text || (Text = {}));
