import { PrintSaveInterface } from './models/print-save.model';
import { OBJFileLoader } from '@babylonjs/loaders';
export declare class BitByBitContextHelperService {
    static promptPrintSave: (prompt: PrintSaveInterface) => void;
    static promptPrint: (prompt: PrintSaveInterface) => void;
    static clearAllDrawn: () => void;
    static rerenderScene: () => void;
    static tolerance: number;
    static snapTolerance: number;
    static angular: {
        httpClient: any;
        HttpHeaders: any;
        HttpParams: any;
    };
    static jsonpath: any;
    static tagBag: any[];
    static timeoutBag: number[];
    static intervalBag: number[];
    static renderLoopBag: ((timePassedFromPreviousIteration: number) => void)[];
    static keyDownBag: ({
        key: string;
        fn: () => void;
    })[];
    static keyUpBag: ({
        key: string;
        fn: () => void;
    })[];
    static keyPressBag: ({
        key: string;
        fn: () => void;
    })[];
    static currentlyPressedKeys: any[];
    static babylon: {
        loader: OBJFileLoader;
    };
    static getFile(file: File): Promise<string | ArrayBuffer>;
    static remap(value: number, from1: number, to1: number, from2: number, to2: number): number;
}
