import * as Inputs from '../../../api/inputs/jscad-inputs';
/**
 * Contains various functions for Solid hulls from JSCAD library https://github.com/jscad/OpenJSCAD.org
 * Thanks JSCAD community for developing this kernel
 */
export declare class JSCADHulls {
    private readonly jscad;
    constructor(jscad: any);
    hullChain(inputs: Inputs.JSCAD.HullDto): Inputs.JSCAD.JSCADEntity;
    hull(inputs: Inputs.JSCAD.HullDto): Inputs.JSCAD.JSCADEntity;
}
